| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros
statusbr.h File Reference

## Classes
class | wxStatusBarPane
| A status bar pane data container used by wxStatusBar. More...
class | wxStatusBar
| A status bar is a narrow window that can be placed along the bottom of a frame to give small amounts of status information. More...

## Macros
#define | wxSTB_SIZEGRIP 0x0010
#define | wxSTB_SHOW_TIPS 0x0020
#define | wxSTB_ELLIPSIZE_START 0x0040
#define | wxSTB_ELLIPSIZE_MIDDLE 0x0080
#define | wxSTB_ELLIPSIZE_END 0x0100
#define | wxSTB_DEFAULT_STYLE (wxSTB_SIZEGRIP|wxSTB_ELLIPSIZE_END|wxSTB_SHOW_TIPS|wxFULL_REPAINT_ON_RESIZE)
#define | wxSB_NORMAL 0x0000
#define | wxSB_FLAT 0x0001
#define | wxSB_RAISED 0x0002
#define | wxSB_SUNKEN 0x0003

## Macro Definition Documentation

#define wxSB_FLAT 0x0001

#define wxSB_NORMAL 0x0000

#define wxSB_RAISED 0x0002

#define wxSB_SUNKEN 0x0003

#define wxSTB_DEFAULT_STYLE (wxSTB_SIZEGRIP|wxSTB_ELLIPSIZE_END|wxSTB_SHOW_TIPS|wxFULL_REPAINT_ON_RESIZE)

#define wxSTB_ELLIPSIZE_END 0x0100

#define wxSTB_ELLIPSIZE_MIDDLE 0x0080

#define wxSTB_ELLIPSIZE_START 0x0040

#define wxSTB_SHOW_TIPS 0x0020

#define wxSTB_SIZEGRIP 0x0010